package it.micegroup.gestioneferie.configurazionepf.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DregolePianiFerieHCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 976188501L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdRegolePianiFerieH;

	private LongFilter numMinGgDaPianificare;

	private LongFilter numMaxGgDaPianificare;

	private LongFilter numePercMinGiorniPresenza;

	private StringFilter flagValidoUoSubordinate;

	private LongFilter fkAmministrazione;

	private LongFilter fkRegolaPianoFeriePk;

	private LongFilter fkTipoOrganigramma;

	private LongFilter fkUnitaFunzionale;

	private LongFilter fkUnitaOrganizzativaPk;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioValidita;

	private LocalDateFilter dataFineValidita;

	// FILTER FATHER
	private String theDregolePianiFeriePkObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdRegolePianiFerieH
	 */
	public LongFilter getSequIdRegolePianiFerieH() {
		return this.sequIdRegolePianiFerieH;
	}

	/**
	 * @param sequIdRegolePianiFerieH to set
	 */
	public void setSequIdRegolePianiFerieH(LongFilter sequIdRegolePianiFerieH) {
		this.sequIdRegolePianiFerieH = sequIdRegolePianiFerieH;
	}

	/**
	 * @return the numMinGgDaPianificare
	 */
	public LongFilter getNumMinGgDaPianificare() {
		return this.numMinGgDaPianificare;
	}

	/**
	 * @param numMinGgDaPianificare to set
	 */
	public void setNumMinGgDaPianificare(LongFilter numMinGgDaPianificare) {
		this.numMinGgDaPianificare = numMinGgDaPianificare;
	}

	/**
	 * @return the numMaxGgDaPianificare
	 */
	public LongFilter getNumMaxGgDaPianificare() {
		return this.numMaxGgDaPianificare;
	}

	/**
	 * @param numMaxGgDaPianificare to set
	 */
	public void setNumMaxGgDaPianificare(LongFilter numMaxGgDaPianificare) {
		this.numMaxGgDaPianificare = numMaxGgDaPianificare;
	}

	/**
	 * @return the numePercMinGiorniPresenza
	 */
	public LongFilter getNumePercMinGiorniPresenza() {
		return this.numePercMinGiorniPresenza;
	}

	/**
	 * @param numePercMinGiorniPresenza to set
	 */
	public void setNumePercMinGiorniPresenza(LongFilter numePercMinGiorniPresenza) {
		this.numePercMinGiorniPresenza = numePercMinGiorniPresenza;
	}

	/**
	 * @return the flagValidoUoSubordinate
	 */
	public StringFilter getFlagValidoUoSubordinate() {
		return this.flagValidoUoSubordinate;
	}

	/**
	 * @param flagValidoUoSubordinate to set
	 */
	public void setFlagValidoUoSubordinate(StringFilter flagValidoUoSubordinate) {
		this.flagValidoUoSubordinate = flagValidoUoSubordinate;
	}

	/**
	 * @return the fkAmministrazione
	 */
	public LongFilter getFkAmministrazione() {
		return this.fkAmministrazione;
	}

	/**
	 * @param fkAmministrazione to set
	 */
	public void setFkAmministrazione(LongFilter fkAmministrazione) {
		this.fkAmministrazione = fkAmministrazione;
	}

	/**
	 * @return the fkRegolaPianoFeriePk
	 */
	public LongFilter getFkRegolaPianoFeriePk() {
		return this.fkRegolaPianoFeriePk;
	}

	/**
	 * @param fkRegolaPianoFeriePk to set
	 */
	public void setFkRegolaPianoFeriePk(LongFilter fkRegolaPianoFeriePk) {
		this.fkRegolaPianoFeriePk = fkRegolaPianoFeriePk;
	}

	/**
	 * @return the fkTipoOrganigramma
	 */
	public LongFilter getFkTipoOrganigramma() {
		return this.fkTipoOrganigramma;
	}

	/**
	 * @param fkTipoOrganigramma to set
	 */
	public void setFkTipoOrganigramma(LongFilter fkTipoOrganigramma) {
		this.fkTipoOrganigramma = fkTipoOrganigramma;
	}

	/**
	 * @return the fkUnitaFunzionale
	 */
	public LongFilter getFkUnitaFunzionale() {
		return this.fkUnitaFunzionale;
	}

	/**
	 * @param fkUnitaFunzionale to set
	 */
	public void setFkUnitaFunzionale(LongFilter fkUnitaFunzionale) {
		this.fkUnitaFunzionale = fkUnitaFunzionale;
	}

	/**
	 * @return the fkUnitaOrganizzativaPk
	 */
	public LongFilter getFkUnitaOrganizzativaPk() {
		return this.fkUnitaOrganizzativaPk;
	}

	/**
	 * @param fkUnitaOrganizzativaPk to set
	 */
	public void setFkUnitaOrganizzativaPk(LongFilter fkUnitaOrganizzativaPk) {
		this.fkUnitaOrganizzativaPk = fkUnitaOrganizzativaPk;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioValidita
	 */
	public DateFilter getDataInizioValidita() {
		return this.dataInizioValidita;
	}

	/**
	 * @param dataInizioValidita to set
	 */
	public void setDataInizioValidita(DateFilter dataInizioValidita) {
		this.dataInizioValidita = dataInizioValidita;
	}

	/**
	 * @return the dataFineValidita
	 */
	public DateFilter getDataFineValidita() {
		return this.dataFineValidita;
	}

	/**
	 * @param dataFineValidita to set
	 */
	public void setDataFineValidita(DateFilter dataFineValidita) {
		this.dataFineValidita = dataFineValidita;
	}

	// GETTER/SETTER FATHER

	public String getTheDregolePianiFeriePkObjectKey() {
		return theDregolePianiFeriePkObjectKey;
	}

	public void setTheDregolePianiFeriePkObjectKey(String theDregolePianiFeriePkObjectKey) {
		this.theDregolePianiFeriePkObjectKey = theDregolePianiFeriePkObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
